Bug 731814 - ypbind stops functioning after: mock init
Summary: ypbind stops functioning after: mock init
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ypbind
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 18:50 UTC by Rex Dieter
Modified: 2012-06-07 09:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 09:18:28 UTC


Attachments (Terms of Use)

Description Rex Dieter 2011-08-18 18:50:49 UTC
Not sure if it's ypbind or mock, but...

Seems ypbind sometimes(1) stops functioning properly on my box after I init a buildroot using mock.  The sometimes seems to be approximately 50% of the time, depending on weather, phase of the moon, and such.

Steps:
0. start with happy functioning box
1. mock -r fedora-15-i386 init
2. sudo ls /
sudo: unknown uid: XXXX
3. su -c "/sbin/service ypbind restart"
4. sudo ls /
... proper output ...

Testing here using:
$ rpm -q ypbind mock
ypbind-1.32-1.fc14.x86_64
mock-1.1.12-1.fc14.noarch

Of course, now that I'm filing this, it's worked ok 5 times in a row.

Comment 1 Honza Horak 2011-08-19 05:21:16 UTC
Can you see some differences in dmesg output, if you boot with verbose systemd (log_buf_len=1M systemd.log_level=debug systemd.log_target=kmsg)? Or any other messages that can be related to this failure if it happens?

Comment 2 Rex Dieter 2011-08-19 12:30:53 UTC
Thanks for the hints, mind you though this is still a systemd-free f14 system in question here.

I'll try to dig deeper when/if it happens again (I'll be building more stuff in mock today likely).

Comment 3 Honza Horak 2011-08-19 13:02:22 UTC
(In reply to comment #2)
> Thanks for the hints, mind you though this is still a systemd-free f14 system
> in question here.

Version changed to F14.

Comment 4 Jesus M. Rodriguez 2012-01-12 19:56:02 UTC
I just experienced this exact bug with F16. ypbind is running then once I do the mock init, it's gone. and my system can't find my user until I restart ypbind

Comment 5 Honza Horak 2012-01-13 08:29:57 UTC
(In reply to comment #4)
> I just experienced this exact bug with F16. ypbind is running then once I do
> the mock init, it's gone. and my system can't find my user until I restart
> ypbind

Anything suspicious in syslog? For example restarting some other services or some DNS-related stuff?

Comment 6 Honza Horak 2012-05-09 11:23:12 UTC
Ping, has it happened again recently? If so, I'd really need more information, at least some suspicious syslog messages.


Note You need to log in before you can comment on or make changes to this bug.